%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pkgname postman

Name:           python-%{pkgname}
Version:        0.6.0
Release:        1%{?dist}
Summary:        Postman is a command line utility for working with Amazon SES
Group:          Applications/Internet

License:        MIT
URL:            http://pypi.python.org/pypi/%{pkgname}
Source0:        http://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch0:         postman_fixdeps.patch
Patch1:         postman_logging.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-docutils
BuildRequires:  python-setuptools
BuildRequires:  python-boto
Requires:       python-boto

# python 2.7 includes argparse natively.
# everybody that's still stuck on 2.6 or below needs python-argparse.
%if 0%{?fedora} < 15 || 0%{?rhel} < 7
BuildRequires:  python-argparse
Requires:       python-argparse
%endif

%description
Postman is a command line utility for working with
Amazon Simple Email Service (SES)

A tutorial for using postman is available here:
http://aws.amazon.com/articles/2405502737055650

%prep
%setup -q -n %{pkgname}-%{version}

# Remove the explicit argparse requirement for python 2.7+
%if 0%{?fedora} > 14 || 0%{?rhel} > 7
%patch0
%endif

%patch1

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build
rst2man README.rst %{pkgname}.5

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}

mkdir -p -m0755 %{buildroot}%{_mandir}/man5
install -p -m 0644 %{pkgname}.5 %{buildroot}%{_mandir}/man5/

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst AUTHORS LICENSE
%{_bindir}/postman
%{python_sitelib}/*
%{_mandir}/man5/*

%changelog
* Tue Nov 8 2011 Brett Lentz <blentz@redhat.com> - 0.6.0-1
- Update to 0.6.0, upstreamed --sanitize patch.
- Add patch to support better logging.

* Wed Oct 26 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-4
- Add --sanitize flag to allow working around SES illegal headers issues.

* Wed Oct 26 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-3
- fix some niggling rpmlint errors

* Wed Oct 26 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-2
- removed python3 stuff for now.
- updated description and summary to be more clear
- install rst2man generated manpage

* Tue Oct 18 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-1
- Initial packaging
